SignedDataParser (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class SignedDataParser

- java.lang.Object
- - org.bouncycastle.asn1.cms.SignedDataParser

-     public class SignedDataParser
      extends java.lang.Object

  Parser for RFC 5652: `SignedData` object.

       SignedData ::= SEQUENCE {
           version CMSVersion,
           digestAlgorithms DigestAlgorithmIdentifiers,
           encapContentInfo EncapsulatedContentInfo,
           certificates [0] IMPLICIT CertificateSet OPTIONAL,
           crls [1] IMPLICIT CertificateRevocationLists OPTIONAL,
           signerInfos SignerInfos
         }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1SetParser` | `getCertificates()`
    `ASN1SetParser` | `getCrls()`
    `ASN1SetParser` | `getDigestAlgorithms()`
    `ContentInfoParser` | `getEncapContentInfo()`
    `static SignedDataParser` | `getInstance(java.lang.Object o)`
    `ASN1SetParser` | `getSignerInfos()`
    `ASN1Integer` | `getVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SignedDataParser getInstance(java.lang.Object o)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getDigestAlgorithms

          public ASN1SetParser getDigestAlgorithms()
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getEncapContentInfo

          public ContentInfoParser getEncapContentInfo()
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCertificates

          public ASN1SetParser getCertificates()
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCrls

          public ASN1SetParser getCrls()
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSignerInfos

          public ASN1SetParser getSignerInfos()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`